org.apache.commons.jelly.tags.define

## Class DynaBeanTag

- java.lang.Object
- - org.apache.commons.jelly.TagSupport
  - - org.apache.commons.jelly.tags.define.DefineTagSupport
    - - org.apache.commons.jelly.tags.define.DynaBeanTag

All Implemented Interfaces:
  Tag

    public class DynaBeanTag
    extends DefineTagSupport

Binds a Java bean to the given named Jelly tag so that the attributes of the tag set the bean properties..

Version:
  $Revision: 155420 $
Author:
  James Strachan

### Field Summary

### Fields inherited from class org.apache.commons.jelly.TagSupport

`body, context, parent`

### Constructor Summary

Constructors
Constructor and Description
`DynaBeanTag()`

### Method Summary

Methods
`void` `addAttribute(Attribute attribute)` Adds a new attribute definition to this dynamic tag
`void` `doTag(XMLOutput output)` Evaluates this tag after all the tags properties have been initialized.
`org.apache.commons.beanutils.DynaClass` `getDynaClass()` Returns the dynaClass.
`void` `setDynaClass(org.apache.commons.beanutils.DynaClass dynaClass)` Sets the `DynaClass` which will be bound to this dynamic tag.
`void` `setName(java.lang.String name)` Sets the name of the tag to create
`void` `setVarAttribute(java.lang.String varAttribute)` Sets the name of the attribute used to define the bean variable that this dynamic tag will output its results as.

### Methods inherited from class org.apache.commons.jelly.tags.define.DefineTagSupport

`getTagLibrary`

### Methods inherited from class org.apache.commons.jelly.TagSupport

`findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, getBody, getBodyText, getBodyText, getContext, getParent, invokeBody, isEscapeText, isTrim, setBody, setContext, setEscapeText, setParent, setTrim, trimBody`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DynaBeanTag

    public DynaBeanTag()

### Method Detail

#### addAttribute

    public void addAttribute(Attribute attribute)

Adds a new attribute definition to this dynamic tag

#### doTag

    public void doTag(XMLOutput output)
               throws MissingAttributeException,
                      JellyTagException

Description copied from interface: `Tag`
Evaluates this tag after all the tags properties have been initialized.

Throws:
  `MissingAttributeException`
  `JellyTagException`

#### setName

    public void setName(java.lang.String name)

Sets the name of the tag to create

#### setVarAttribute

    public void setVarAttribute(java.lang.String varAttribute)

Sets the name of the attribute used to define the bean variable that this dynamic tag will output its results as. This defaults to 'var' though this property can be used to change this if it conflicts with a bean property called 'var'.

#### getDynaClass

    public org.apache.commons.beanutils.DynaClass getDynaClass()

Returns the dynaClass.

Returns:
  DynaClass

#### setDynaClass

    public void setDynaClass(org.apache.commons.beanutils.DynaClass dynaClass)

Sets the `DynaClass` which will be bound to this dynamic tag.